coursebook.settings Namespace Reference

## Variables

| BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
string | SECRET_KEY = 'bwc8r%hu%tb9ft+gs6xj73b86rhb&we11w^(e-rv!*d(aogs*)'
bool | DEBUG = True
list | ALLOWED_HOSTS
list | INSTALLED_APPS
list | MIDDLEWARE
string | ROOT_URLCONF = 'coursebook.urls'
list | TEMPLATES
string | WSGI_APPLICATION = 'coursebook.wsgi.application'
dictionary | DATABASES
list | AUTH_PASSWORD_VALIDATORS
string | LANGUAGE_CODE = 'en-us'
string | TIME_ZONE = 'UTC'
bool | USE_I18N = True
bool | USE_L10N = True
bool | USE_TZ = True

## Detailed Description

    Django settings for coursebook project.

## Variable Documentation

## ALLOWED_HOSTS

list coursebook.settings.ALLOWED_HOSTS

Initial value:
= [
'*',
]

## AUTH_PASSWORD_VALIDATORS

list coursebook.settings.AUTH_PASSWORD_VALIDATORS

Initial value:
= [
{
'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
},
{
'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
},
{
'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
},
{
'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
},
]

## DATABASES

dictionary coursebook.settings.DATABASES

Initial value:
= {
'default': {
'ENGINE': 'django.db.backends.sqlite3',
'NAME': 'djangodb',
'USER':'root',
'PASSWORD':'mysql',
'HOST':'localhost',
'PORT':'3306'
}
}

## INSTALLED_APPS

list coursebook.settings.INSTALLED_APPS

Initial value:
= [
'django.contrib.admin',
'django.contrib.auth',
'django.contrib.contenttypes',
'django.contrib.sessions',
'django.contrib.messages',
'django.contrib.staticfiles',
'django.contrib.admindocs' ,
'django_extensions',
'discussion',
]

## MIDDLEWARE

list coursebook.settings.MIDDLEWARE

Initial value:
= [
'django.middleware.security.SecurityMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.contrib.auth.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

## TEMPLATES

list coursebook.settings.TEMPLATES

Initial value:
= [
{
'BACKEND': 'django.template.backends.django.DjangoTemplates',
'DIRS': [],
'APP_DIRS': True,
'OPTIONS': {
'context_processors': [
'django.template.context_processors.debug',
'django.template.context_processors.request',
'django.contrib.auth.context_processors.auth',
'django.contrib.messages.context_processors.messages',
],
},
},
]